Bug 170631 - Web Inspector: navigation sidebar says "No Search Results" when a slow search is in progress
Summary: Web Inspector: navigation sidebar says "No Search Results" when a slow search...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Inspector (show other bugs)
Version: WebKit Nightly Build
Hardware: All All
: P2 Normal
Assignee: Devin Rousso
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2017-04-07 17:39 PDT by Brian Burg
Modified: 2019-02-26 00:15 PST (History)
6 users (show)

See Also:


Attachments
Patch (12.46 KB, patch)
2019-02-12 15:48 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (12.36 KB, patch)
2019-02-25 23:51 PST, Devin Rousso
no flags Details | Formatted Diff | Diff
Patch (14.61 KB, patch)
2019-02-25 23:59 PST, Devin Rousso
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Brian Burg 2017-04-07 17:39:24 PDT
Steps to reproduce:

1. Remote debug a (slow/old) device
2. Go to the HTML5 spec-in-one-page
3. Search for something overbroad, like 'page'
=> Says "No Results" then flashes and shows results some time later when they start to arrive

We should fix this so that we say "Searching [spinner]" while the backend does the search.
Comment 1 Brian Burg 2017-04-07 17:40:08 PDT
<rdar://problem/29473874>
Comment 2 Devin Rousso 2019-02-12 15:48:46 PST
Created attachment 361856 [details]
Patch
Comment 3 Joseph Pecoraro 2019-02-25 23:22:57 PST
Comment on attachment 361856 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=361856&action=review

r=me

> Source/WebInspectorUI/UserInterface/Views/SearchSidebarPanel.js:272
> -                DOMAgent.discardSearchResults(this._domSearchIdentifier);
> +                countPromise(DOMAgent.discardSearchResults(this._domSearchIdentifier));

We shouldn't need to wait on this one, it is just clearing old search data, not affecting the current search(es).
Comment 4 Devin Rousso 2019-02-25 23:51:05 PST
Created attachment 362967 [details]
Patch
Comment 5 Devin Rousso 2019-02-25 23:59:11 PST
Created attachment 362968 [details]
Patch
Comment 6 WebKit Commit Bot 2019-02-26 00:15:03 PST
Comment on attachment 362968 [details]
Patch

Clearing flags on attachment: 362968

Committed r242080: <https://trac.webkit.org/changeset/242080>
Comment 7 WebKit Commit Bot 2019-02-26 00:15:05 PST
All reviewed patches have been landed.  Closing bug.